Bug 113481 - Cups configuration configures wrong interface
Cups configuration configures wrong interface
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-14 09:00 EST by David Anderson
Modified: 2007-04-18 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:06:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2004-01-14 09:00:12 EST
Description of problem:

Configuring a RH 9 box on which the only active interfaces are lo, eth0.
In a previous existance a CIPE interface was also active, but is now
inactive (configured via redhat-config-network).

Problem is that redhat-config-printer configures CUPS to listen on lo
and the IP address of the (inactive) CIPE interface, but not the
Ethernet interface.
I fixed this by deleting the CIPE interface (as it wasn't used), but
it shouldn't happen - if it *had* to just select one interface, you'd
probably want the active one rather than the inactive one!

Version-Release number of selected component (if applicable):
0.6.47.11-1


How reproducible: Don't know.


Steps to Reproduce:
1. Configure eth0 interface.
2. Configure CIPE interface.
3. Deactive CIPE interface
4. Configure print sharing on one of your printers
5. cupsd.conf only configures to listen on CIPE, not eth0
  
Actual results:
cupsd.conf only configures to listen on CIPE, not eth0

Expected results:
Listening on all interfaces

Additional info:
Comment 1 David Anderson 2004-01-14 09:01:20 EST
Forgot to mention - because CIPE wasn't active, CUPS fell over on
trying to bind the interface on startup. redhat-config-printer
shouldn't try to get CUPS to listen on inactive interfaces because it
prevents CUPS from starting.
Comment 2 Tim Waugh 2004-01-16 11:48:24 EST
How exactly did you configure print sharing?  Using the
redhat-config-printer tool?  What settings did you change, exactly?

Thanks.
Comment 3 David Anderson 2004-01-16 12:16:26 EST
Yes, using redhat-config-printer 
 
I edited the "sharing" configuration for each of my 3 printers to 
share with the local net (10.0.0.0/8). Although I think the first 
time I did it wrongly and entered 10.0.0.0/255.255.255.0 = 
10.0.0.0/24 
 
The CIPE interface had IP 9.8.7.2 (obviously non-routeable) 
Comment 4 Orion Poplawski 2004-04-19 14:25:54 EDT
I'm having basically the same problem, but in my case it is caused by
and alias.  I have ifcfg-eth0:0 which defines an alias on the same
subnet - used for virtual hosting a website.  A Listen line is added
only for the alias, not for the primary interface.

This essentially breaks printing on my network until I edit
/etc/cups/cupds.conf by hand after every configuration change.

Also, there should be a way to configure which interface(s) cups
should listen on.
Comment 5 Bill Nottingham 2006-08-05 00:43:02 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2007-01-02 14:06:14 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.